aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJakub Jirutka <jakub@jirutka.cz>2019-06-22 23:39:38 +0200
committerJakub Jirutka <jakub@jirutka.cz>2019-06-22 23:41:39 +0200
commit13776313a2989b0088bfbc70fb4301179865ca0c (patch)
tree796136284e2132ce4fba07d64effcc1493f87bcc
parentd30eaa157bcea65eab6ac6723b37380d1d29bcdb (diff)
downloadaports-13776313a2989b0088bfbc70fb4301179865ca0c.tar.gz
aports-13776313a2989b0088bfbc70fb4301179865ca0c.tar.bz2
aports-13776313a2989b0088bfbc70fb4301179865ca0c.tar.xz
main/lua-xml: rename to lua-luaxml to follow the rock name
This library is named "luaxml" on LuaRocks. The problem is that there's also a library named just "xml" on LuaRocks.
-rw-r--r--main/lua-luaxml/0001-Fix-error-where-TAG-should-be-xml.TAG.patch (renamed from main/lua-xml/0001-Fix-error-where-TAG-should-be-xml.TAG.patch)0
-rw-r--r--main/lua-luaxml/APKBUILD (renamed from main/lua-xml/APKBUILD)6
2 files changed, 4 insertions, 2 deletions
diff --git a/main/lua-xml/0001-Fix-error-where-TAG-should-be-xml.TAG.patch b/main/lua-luaxml/0001-Fix-error-where-TAG-should-be-xml.TAG.patch
index 8b6763b910..8b6763b910 100644
--- a/main/lua-xml/0001-Fix-error-where-TAG-should-be-xml.TAG.patch
+++ b/main/lua-luaxml/0001-Fix-error-where-TAG-should-be-xml.TAG.patch
diff --git a/main/lua-xml/APKBUILD b/main/lua-luaxml/APKBUILD
index 39a609b9c2..93b686314d 100644
--- a/main/lua-xml/APKBUILD
+++ b/main/lua-luaxml/APKBUILD
@@ -1,5 +1,5 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
-pkgname=lua-xml
+pkgname=lua-luaxml
_pkgname=luaxml
pkgver=130610
_pkgver=$pkgver-1
@@ -10,6 +10,7 @@ arch="all"
license="MIT"
makedepends=""
subpackages=""
+replaces="lua-xml"
source="$pkgname-$pkgver.tar.gz::https://github.com/LuaDist2/$_pkgname/archive/$_pkgver.tar.gz
0001-Fix-error-where-TAG-should-be-xml.TAG.patch"
builddir="$srcdir/$_pkgname-$_pkgver"
@@ -62,6 +63,7 @@ _subpackage() {
local lver="${subpkgname:3:3}"
pkgdesc="$pkgdesc $lver"
depends="lua$lver"
+ replaces="lua$lver-xml" # for backward compatibility
install_if="$pkgname=$pkgver-r$pkgrel lua$lver"
local rockdir="$subpkgdir/usr/lib/luarocks/rocks-$lver/$_pkgname/$_pkgver"
@@ -76,5 +78,5 @@ _subpackage() {
echo 'rock_manifest = {}' > "$rockdir"/rock_manifest
}
-sha512sums="aabac62b5e748c04cd3591e5c2e6b417909c7a9efa1ff6c3dd1f546a2387220eb7fa1ffa56d3be0718a84a6fed51f287b68c7d334661c66787f7024d76142dfc lua-xml-130610.tar.gz
+sha512sums="aabac62b5e748c04cd3591e5c2e6b417909c7a9efa1ff6c3dd1f546a2387220eb7fa1ffa56d3be0718a84a6fed51f287b68c7d334661c66787f7024d76142dfc lua-luaxml-130610.tar.gz
60ba65a0d47065e2609ca4d5c8d994fc29b9d4c6b5b0a060fa7f83612c71937999648e48dd26063f6528811eb053fe912ee5b6c4465576912c9dacb9bb406cae 0001-Fix-error-where-TAG-should-be-xml.TAG.patch"